AdminPlugin (Resource Manager CL 1.0.0-4.12.0-126036 API)
Date: 2018-07-18

org.gcube.vremanagement.resourcemanager.client.plugins

## Class AdminPlugin

- java.lang.Object
- - org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin<RMAdminServiceJAXWSStubs,RMAdminLibrary>
  - - org.gcube.vremanagement.resourcemanager.client.plugins.AdminPlugin

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,RMAdminServiceJAXWSStubs,RMAdminLibrary>, org.gcube.common.clients.fw.plugin.Plugin<RMAdminServiceJAXWSStubs,RMAdminLibrary>

      public class AdminPlugin
      extends AbstractPlugin<RMAdminServiceJAXWSStubs,RMAdminLibrary>

  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    - ### Fields inherited from class org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `namespace()`
    `RMAdminLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<RMAdminServiceJAXWSStubs> delegate)`
    `RMAdminServiceJAXWSStubs` | `resolve(EndpointReference reference, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

    - ### Methods inherited from class org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin

      `convert, name, serviceClass, serviceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminPlugin

          public AdminPlugin()

  - ### Method Detail

    - #### resolve

          public RMAdminServiceJAXWSStubs resolve(EndpointReference reference,
                                                  org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                           throws Exception

      Throws:
        `Exception`

    - #### newProxy

          public RMAdminLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<RMAdminServiceJAXWSStubs> delegate)

    - #### namespace

          public String namespace()

Copyright © 2018. All Rights Reserved.